from django import template

from utils.strings import (
    convert_size,
    aTag_urls,

register = template.Library()

@register.filter
def size_to_human_readable (size):
    """
    A filter that converts the given size to a human-readable format using the utils.strings.convert_size function.
    
    Parameters:
        size: The size to be converted.
        
    Returns:
        The human-readable size format.
    """
    return convert_size(size)

@register.filter
def clickable_urls(string):
    return aTag_urls(string)
